Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.application
Class InitializationListener

    java.lang.Object
      org.richfaces.application.InitializationListener

All Implemented Interfaces:
  EventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListener

    public class InitializationListener

extends Object
implements javax.faces.event.SystemEventListener

Since:
  4.0
Author:
  Nick Belaevski

Constructor Summary
`InitializationListener()`

Method Summary
`protected org.richfaces.application.ServicesFactory` | `createFactory()`
`boolean` | `isListenerForSource(Object source)`
`protected void` | `onStart()`
`protected void` | `onStop()`
`void` | `processEvent(javax.faces.event.SystemEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InitializationListener

    public InitializationListener()

Method Detail

### isListenerForSource

    public boolean isListenerForSource(Object source)

  Specified by:
    `isListenerForSource` in interface `javax.faces.event.SystemEventListener`

### onStart

    protected void onStart()

### createFactory

    protected org.richfaces.application.ServicesFactory createFactory()

### onStop

    protected void onStop()

### processEvent

    public void processEvent(javax.faces.event.SystemEvent event)
                      throws javax.faces.event.AbortProcessingException

  Specified by:
    `processEvent` in interface `javax.faces.event.SystemEventListener`
  Throws:
    `javax.faces.event.AbortProcessingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.